# List all API credentials

To fetch a collection of API credentials, send a `GET` request to the `/api/api_credentials` endpoint.

## Request

**GET** <https://provisioning.commercelayer.io/ap&#x69;**/api\\_credentials>\*\*

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches a collection of API credentials:

```sh
curl -g -X GET \
  'https://provisioning.commercelayer.io/api/api_credentials/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a paginated collection of resource objects:

```javascript
{
  "data": [
    {
      "id": "xYZkjABcde",
      "type": "api_credentials",
      "links": {
        "self": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde"
      },
      "attributes": {
        "name": "My app",
        "kind": "sales_channel",
        "confidential": true,
        "redirect_uri": "https://bluebrand.com/img/logo.svg",
        "client_id": "xxxx-yyyy-zzzz",
        "client_secret": "xxxx-yyyy-zzzz",
        "scopes": "market:all market:9 market:122 market:6 stock_location:6 stock_location:33",
        "expires_in": 7200,
        "mode": "test",
        "custom": false,
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "organization": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde/relationships/organization",
            "related": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde/organization"
          }
        },
        "role": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde/relationships/role",
            "related": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde/role"
          }
        }
      }
    },
    {
      "other": "... 9 api_credentials (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14
  },
  "links": {
    "first": "https://provisioning.commercelayer.io/api_credentials?page[number]=1&page[size]=10",
    "next": "https://provisioning.commercelayer.io/api_credentials?page[number]=2&page[size]=10",
    "last": "https://provisioning.commercelayer.io/api_credentials?page[number]=14&page[size]=10"
  }
}
```

{% endtab %}
{% endtabs %}

Remember that when you fetch a list of resources you get [paginated](https://docs.commercelayer.io/core/pagination) result.

### Sortable fields

The list of API credentials can be [sorted](https://docs.commercelayer.io/core/sorting-results) by the following fields:

* `mode`
* `id`
* `created_at`
* `updated_at`
* `reference`
* `reference_origin`

### Filterable fields

The list of API credentials can be [filtered](https://docs.commercelayer.io/core/filtering-data) by the following fields:

#### Attributes

* `name`
* `kind`
* `confidential`
* `redirect_uri`
* `client_id`
* `scopes`
* `expires_in`
* `mode`
* `id`
* `created_at`
* `updated_at`
* `reference`
* `reference_origin`
* `metadata`

#### Relationships

* `organization`
* `role`
